Bug 964240 - Mixed disk types combined inside of a vm causes the vm to go into a paused state.
Mixed disk types combined inside of a vm causes the vm to go into a paused st...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.0.8
All All
urgent Severity urgent
: ---
: 3.3.0
Assigned To: Federico Simoncelli
Aharon Canan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 11:49 EDT by Josh Carter
Modified: 2016-02-10 12:40 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 18:36:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: Triaged+


Attachments (Terms of Use)

  None (edit)
Description Josh Carter 2013-05-17 11:49:00 EDT
Description of problem:

Customer has a Windows Virtual machine that has a 4 disk being presented to it. 1 disk is thin-provisioned for the system disk and then 2 thin-provisioned disks + 1 full allocated disk are combined inside of the virtual machine as a dynamic disk. If the customer boots the virtual machine and does not perform any read/write function on the dynamic disk the vm will stay up and running on any host. Once the custoemr performs reads/writes to the dynamic disk the vm will go into a paused state inside of rhev then the vm goes into a hung state. 

Error logged when vm goes into the paused state. 

Thread-93934::ERROR::2013-05-16 15:30:30,108::utils::416::vm.Vm::(collect) vmId=`53acb111-9a88-40f7-8d93-3d40f64b448a`::Stats function failed: <AdvancedStatsFunction _highWrite at 0x1af0e68>
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/vdsm/utils.py", line 412, in collect
  File "/usr/lib64/python2.6/site-packages/vdsm/utils.py", line 287, in __call__
  File "/usr/share/vdsm/libvirtvm.py", line 109, in _highWrite
  File "/usr/share/vdsm/libvirtvm.py", line 515, in f
  File "/usr/lib64/python2.6/site-packages/vdsm/libvirtconnection.py", line 83, in wrapper
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1797, in blockInfo
libvirtError: Unable to read from monitor: Connection reset by peer
Thread-93934::DEBUG::2013-05-16 15:30:30,979::libvirtvm::320::vm.Vm::(handleStatsException) vmId=`53acb111-9a88-40f7-8d93-3d40f64b448a`::VM not found, moving to Down
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/vdsm/utils.py", line 412, in collect
  File "/usr/lib64/python2.6/site-packages/vdsm/utils.py", line 287, in __call__
  File "/usr/share/vdsm/libvirtvm.py", line 168, in _sampleNet
  File "/usr/share/vdsm/libvirtvm.py", line 515, in f
  File "/usr/lib64/python2.6/site-packages/vdsm/libvirtconnection.py", line 83, in wrapper
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1867, in interfaceStats
libvirtError: Domain not found: no domain with matching uuid '53acb111-9a88-40f7-8d93-3d40f64b448a'

The virtual machine can reproduce this problem on any host and non of the other virtual machines that reside on the fc storage have this problem. 

Version-Release number of selected component (if applicable):
rhevm-3.0.8_0001-1.el6_3.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 4 Ayal Baron 2013-05-26 08:44:42 EDT
Fede, please take a look

Note You need to log in before you can comment on or make changes to this bug.